MPE_GetTags(4)

NAME
MPE_GetTags - Returns tags that can be used in communication with a communicator

SYNOPSIS
int MPE_GetTags( comm_in, ntags, comm_out, first_tag )
MPI_Comm comm_in, *comm_out;
int      ntags, *first_tag;

INPUT PARAMETERS
comm_in
    - Input communicator
ntags
    - Number of tags

OUTPUT PARAMETERS
comm_out
    - Output communicator. May be comm_in .
first_tag
    - First tag available

RETURNS
MPI_SUCCESS on success, MPI error class on failure.

NOTES
This routine returns the requested number of tags, with the tags being first_tag , first_tag+1 , ..., first_tag+ntags-1 . These tags are guarenteed to be unique within comm_out .

SEE ALSO
MPE_ReturnTags

LOCATION
privtags.c